## wiki2beamer 0.8.1

=== doc/examples/Makefile ===
build: beamer advanced graphics version0_4 version0_7

beamer:
	@python ../../code/wiki2beamer wiki2beamer.txt > wiki2beamer.tex && \
	echo "Running pdflatex" && \
	pdflatex beamer.tex && \
	pdflatex beamer.tex && \
	echo "Now, take a look at beamer.pdf"

advanced:
	@python ../../code/wiki2beamer wiki_advanced.txt > wiki_advanced.tex && \
	echo "Running pdflatex" && \
	pdflatex advanced.tex && \
	pdflatex advanced.tex && \
	echo "Now, take a look at advanced.pdf"

graphics:
	@python ../../code/wiki2beamer wiki_graphics.txt > wiki_graphics.tex && \
	echo "Running pdflatex" && \
	pdflatex graphics.tex && \
	pdflatex graphics.tex && \
	echo "Now, take a look at graphics.pdf"

version0_4:
	@python ../../code/wiki2beamer wiki_version0_4.txt > wiki_version0_4.tex && \
	echo "Running pdflatex" && \
	pdflatex version0_4.tex && \
	pdflatex version0_4.tex && \
	echo "Now, take a look at version0_4.pdf"

version0_7:
	@python ../../code/wiki2beamer wiki_version0_7.txt > wiki_version0_7.tex && \
	echo "Running pdflatex" && \
	pdflatex wiki_version0_7.tex && \
	pdflatex wiki_version0_7.tex && \
	echo "Now, take a look at wiki_version0_7.pdf"



clean:
	rm -f beamer.aux beamer.log beamer.snm beamer.toc beamer.out beamer.nav beamer.pdf wiki2beamer.tex beamer.vrb && \
	rm -f graphics.aux graphics.log graphics.snm graphics.toc graphics.out graphics.nav graphics.pdf graphics.vrb wiki_graphics.tex && \
	rm -f advanced.aux advanced.log advanced.snm advanced.toc advanced.out advanced.nav advanced.pdf wiki_advanced.tex && \
	rm -f version0_4.aux version0_4.log version0_4.snm version0_4.toc version0_4.out version0_4.nav version0_4.pdf version0_4.vrb wiki_version0_4.tex && \
	rm -f wiki_version0_7.aux wiki_version0_7.log wiki_version0_7.snm wiki_version0_7.toc wiki_version0_7.out wiki_version0_7.nav wiki_version0_7.pdf wiki_version0_7.vrb wiki_version0_7.tex

=== doc/man/Makefile ===
all: man html

man:  wiki2beamer.xml
	@docbook2man.pl wiki2beamer.xml
	@bzip2 --keep --stdout wiki2beamer.1 > man1/wiki2beamer.1.bz2
	@man -D -M '.' wiki2beamer

html: wiki2beamer.xml wiki2beamer.1
	man2html wiki2beamer.1 | sed 's/Manpage of wiki2beamer/Manpage of wiki2beamer (man wiki2beamer)/' | sed 's/Content-type: text\/html//' > wiki2beamer.html

=== debian/changelog ===
wiki2beamer (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #582897)

 -- Jan Hauke Rahm <jhr@debian.org>  Mon, 24 May 2010 14:21:34 +0200

=== debian/control ===
Source: wiki2beamer
Section: text
Priority: extra
Maintainer: Jan Hauke Rahm <jhr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://www-user.tu-chemnitz.de/~mren/wiki2beamer/doku.php
Vcs-Git: git://git.debian.org/collab-maint/wiki2beamer.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/wiki2beamer.git;a=summary

Package: wiki2beamer
Architecture: all
Depends: python, ${misc:Depends}
Recommends: latex-beamer, texlive-fonts-recommended
Description: Tool to create LaTeX beamer presentations in wiki syntax
 wiki2beamer is a small tool to create LaTeX Beamer presentations from text
 files with a wiki-like syntax. Thus, it enables the user to create beamer
 presentations in a less time-consuming way.
 .
 Written in Python it's very small and portable.

## wiki2beamer 0.9.2

=== debian/changelog ===
wiki2beamer (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Jan Hauke Rahm <jhr@debian.org>  Mon, 04 Apr 2011 15:38:48 +0200

wiki2beamer (0.9.1-1) experimental; urgency=low

  * New upstream release
  * Bumped standards-version to 3.9.1

 -- Jan Hauke Rahm <jhr@debian.org>  Thu, 25 Nov 2010 21:24:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jan Hauke Rahm <jhr@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www-user.tu-chemnitz.de/~mren/wiki2beamer/doku.php
 Vcs-Git: git://git.debian.org/collab-maint/wiki2beamer.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wiki2beamer.git;a=summary

## wiki2beamer 0.9.4

=== debian/changelog ===
wiki2beamer (0.9.4-1) unstable; urgency=low

  * [c6ebc7a5] Imported Upstream version 0.9.4
    + Improved/Fixed vastly permissive color replacement rule (_color_text_)
      Thanks to Georges Khaznadar for the patch (Closes: #624347)
  * [f3e03e16] Bumped Standards-Version to 3.9.2

 -- Jan Hauke Rahm <jhr@debian.org>  Tue, 17 May 2011 20:57:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jan Hauke Rahm <jhr@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www-user.tu-chemnitz.de/~mren/wiki2beamer/doku.php
 Vcs-Git: git://git.debian.org/collab-maint/wiki2beamer.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wiki2beamer.git;a=summary

## wiki2beamer 0.9.5

=== doc/example/Makefile ===
.PHONY : all clean tex pdf view

all: tex pdf

tex: example.tex

pdf: example.pdf

view: example.pdf
	evince example.pdf

example.tex: example.txt Makefile
	../../code/wiki2beamer example.txt > example.tex
	
example.pdf: example.tex Makefile
	pdflatex example.tex

clean:
	rm example.aux example.log example.nav example.out example.pdf example.snm example.tex example.toc example.vrb

=== doc/man/Makefile ===
all: man html

man1:
	mkdir man1

man:  wiki2beamer.xml man1
	@docbook2man.pl wiki2beamer.xml
	@bzip2 --keep --stdout wiki2beamer.1 > man1/wiki2beamer.1.bz2
	@man -D -M '.' wiki2beamer

html: wiki2beamer.xml wiki2beamer.1
	man2html wiki2beamer.1 | sed 's/Manpage of wiki2beamer/Manpage of wiki2beamer (man wiki2beamer)/' | sed 's/Content-type: text\/html//' > wiki2beamer.html

clean:
	rm wiki2beamer.1
	rm wiki2beamer.html
	rm man1/wiki2beamer.1.bz2
	rmdir man1/

=== debian/changelog ===
wiki2beamer (0.9.5-1) unstable; urgency=low

  * [c6d5cf3a] Imported Upstream version 0.9.5
  * [1c341bd2] Update homepage field (Closes: #662884)
  * [8f107559] Bump Standards-Version to 3.9.4

 -- Jan Hauke Rahm <jhr@debian.org>  Sun, 26 May 2013 12:17:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Jan Hauke Rahm <jhr@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
-Homepage: http://www-user.tu-chemnitz.de/~mren/wiki2beamer/doku.php
+Standards-Version: 3.9.4
+Homepage: http://wiki2beamer.sourceforge.net/
 Vcs-Git: git://git.debian.org/collab-maint/wiki2beamer.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wiki2beamer.git;a=summary

=== debian/watch ===
version=3
http://sf.net/wiki2beamer/wiki2beamer-(.+).zip

## wiki2beamer 0.10.0

=== dist/Makefile ===
.PHONY: debian clean zip man example

VERSIONNR=0.10.0
ZIPSUBDIR=./zip/
VERSIONDIR=wiki2beamer-$(VERSIONNR)

ZIPDISTDIR=$(ZIPSUBDIR)$(VERSIONDIR)

zip:	man example
	mkdir -p $(ZIPDISTDIR)
	mkdir -p $(ZIPDISTDIR)/code
	mkdir -p $(ZIPDISTDIR)/doc/man
	mkdir -p $(ZIPDISTDIR)/doc/example
	cp ../ChangeLog $(ZIPDISTDIR)
	cp ../LICENSE $(ZIPDISTDIR)
	cp ../README $(ZIPDISTDIR)
	cp ../code/wiki2beamer $(ZIPDISTDIR)/code/
	cp ../code/setup.py $(ZIPDISTDIR)/code/
	cp ../doc/fdl.txt $(ZIPDISTDIR)/doc/
	cp ../doc/man/Makefile $(ZIPDISTDIR)/doc/man/
	cp ../doc/man/wiki2beamer.xml $(ZIPDISTDIR)/doc/man/
	cp ../doc/man/wiki2beamer.html $(ZIPDISTDIR)/doc/man/
	cp ../doc/man/wiki2beamer.1 $(ZIPDISTDIR)/doc/man/
	cp ../tests/example/Makefile $(ZIPDISTDIR)/doc/example/
	cp ../tests/example/db-rg1024.png $(ZIPDISTDIR)/doc/example/
	cp ../tests/example/example.txt $(ZIPDISTDIR)/doc/example/
	cp ../tests/example/includefile.txt $(ZIPDISTDIR)/doc/example/
	cp ../tests/example/example.pdf $(ZIPDISTDIR)/doc/example/
	cd $(ZIPSUBDIR) && zip -r $(VERSIONDIR).zip $(VERSIONDIR)/
man:
	$(MAKE) -C ../doc/man/

example:
	$(MAKE) -C ../tests/example/

debian:
	mkdir -p ./debian/usr/bin
	mkdir -p ./debian/usr/share/man/man1
	mkdir -p ./debian/usr/share/doc/wiki2beamer/
	cp -p ../code/wiki2beamer ./debian/usr/bin/
	cp -p ../doc/man/wiki2beamer.1 ./debian/usr/share/man/man1/
	gzip ./debian/usr/share/man/man1/wiki2beamer.1
	cp -Rp ../doc/examples ./debian/usr/share/doc/wiki2beamer/
	fakeroot dpkg-deb --build ./debian/ wiki2beamer_x.x-x_all.deb

clean:	
	rm -Rf ./debian/usr
	rm -Rf $(ZIPSUBDIR)

=== web/Makefile ===
.PHONY: publish example man

USER=cleeus
PROJECT=wiki2beamer
DSTPATH=/home/groups/w/wi/wiki2beamer/htdocs/
EXAMPLEDIR=../tests/example/
MANDIR=../doc/man/

COMMANDS =put index.html $(DSTPATH) \n
COMMANDS+=put $(EXAMPLEDIR)/example.pdf $(DSTPATH)/wiki2beamer-example.pdf \n
COMMANDS+=put $(MANDIR)/wiki2beamer.html $(DSTPATH)/wiki2beamer.html \n
COMMANDS+=bye

publish: example man
	echo -e "$(COMMANDS)" | sftp -b - $(USER),$(PROJECT)@web.sourceforge.net

example:
	$(MAKE) -C $(EXAMPLEDIR)

man:
	$(MAKE) -C $(MANDIR)

=== doc/examples/Makefile ===
#!/usr/bin/make

.PRECIOUS: %.tex

WIKIFILES=$(wildcard *.wiki)

all: $(patsubst %.wiki, %.pdf, $(WIKIFILES))


%.tex: %.wiki
	@echo "Translating $<"
	@python ../../code/wiki2beamer $< > $@


%.pdf: %.tex
	@echo "Running pdflatex in $<"	
	pdflatex $<
	pdflatex $<


%: %.pdf


proper: clean
	$(RM) *.pdf
	

clean:
	$(RM) *.aux *.log *.nav *.out *.snm *.toc
	$(RM) $(patsubst %.wiki, %.tex, $(WIKIFILES))

=== doc/man/Makefile ===
all: man html

man1:
	mkdir man1

man:  wiki2beamer.xml man1
	@asciidoctor -b manpage -d manpage wiki2beamer.adoc
	@bzip2 --keep --stdout wiki2beamer.1 > man1/wiki2beamer.1.bz2
	@man -D -M '.' wiki2beamer

html: wiki2beamer.xml wiki2beamer.1
	asciidoctor -b html5 -d manpage wiki2beamer.adoc

clean:
	rm wiki2beamer.1
	rm wiki2beamer.html
	rm man1/wiki2beamer.1.bz2
	rmdir man1/

=== debian/changelog ===
wiki2beamer (0.10.0-5) unstable; urgency=medium

  * debian/control:
    - Bumped Standards-Version to 4.6.1
    - Adjusted dependencies
  * debian/watch:
    - Properly find tarballs.
    - Removed filenamemangle.
  * Adjusted year in debian/copyright.
  * Fixed debian/upstream/metadata (Bug-Tracking -> Bug-Database).
  * Adjusted debian/patches/010_fix-doc-makefile.patch to point to related
    issue on upstream repository.

 -- Francisco M Neto <fmneto@fmneto.com>  Sat, 27 Aug 2022 10:14:55 +0000

wiki2beamer (0.10.0-4) unstable; urgency=medium

  * New Maintainer. Thanks to Boyuan Wang for their work! (Closes: #968620)
  * debian/control:
    - Added Rules-Requires-Root field.
  * debian/copyright: updated to comply with DEP-5.
  * debian/upstream/metadata: added bug tracking-related fields.
  * debian/rules:
    - updated execute_after_dh_auto_clean to test for the Makefile.
  * debian/patches: created patch to fix the Makefile under doc/man/.

 -- Francisco M Neto <fmneto@fmneto.com>  Tue, 15 Sep 2020 16:50:06 +0000

wiki2beamer (0.10.0-3) unstable; urgency=medium

  * QA Upload.
  * Orphan the package. (See #968620)
    + Set package maintainer to be Debian QA Group.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Aug 2020 13:08:11 -0400

wiki2beamer (0.10.0-2) unstable; urgency=medium

  * Mark package as Multi-Arch: foreign.
  * Replace obsolete package recommendation latex-beamer with
    texlive-latex-recommended.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Jun 2020 11:23:21 -0400

wiki2beamer (0.10.0-1) unstable; urgency=medium

  * New upstream release 0.10.0.
  * Migrate from python2 to python3. (Closes: #945745)
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.
    + Update homepage to the current one.
  * debian/source/options: Drop custom compression option.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Jun 2020 09:40:23 -0400

wiki2beamer (0.9.5-2) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #960039)
  * debian/control:
    + Update Vcs-* fields to use git packaging repo under Salsa Debian
      Group.
    + Use Priority: optional instead of obsolete value extra.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 May 2020 00:35:25 -0400

=== debian/control ===
Source: wiki2beamer
Section: text
Priority: optional
Maintainer: Francisco M Neto <fmneto@fmneto.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 asciidoctor,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://wiki2beamer.github.io/
Vcs-Git: https://salsa.debian.org/debian/wiki2beamer.git
Vcs-Browser: https://salsa.debian.org/debian/wiki2beamer

Package: wiki2beamer
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Recommends:
 texlive-latex-recommended,
 texlive-fonts-recommended,
Description: Tool to create LaTeX beamer presentations in wiki syntax
 wiki2beamer is a small tool to create LaTeX Beamer presentations from text
 files with a wiki-like syntax. Thus, it enables the user to create beamer
 presentations in a less time-consuming way.
 .
 Written in Python it's very small and portable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

execute_after_dh_auto_build:
	$(MAKE) -C $(CURDIR)/doc/man/

execute_after_dh_auto_clean:
	[ ! -f doc/man/Makefile ] || $(MAKE) -C $(CURDIR)/doc/man/ clean

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
 https://github.com/wiki2beamer/wiki2beamer/tags \
 (?:.*?/)(?:wiki2beamer-)?v?(\d[\d.]*)\.tar\.gz debian uupdate
